<!DOCTYPE html>
<html>

<head>
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <title>Course 365 - Learning with unlimited!</title>

  <!-- Nhúng các thư viện BS4 & jQuery, awesome font -->
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.3/css/all.min.css">

  <!-- Các file css và js tự định nghĩa thêm -->
  <link rel="stylesheet" href="style.css">
  <script src="script.js"></script>
</head>

<body>
  <div class="container-fluid">
    <!-- 1. Header - Navbar menu -->
    <nav class="navbar navbar-expand-lg navbar-light bg-light">
      <a class="navbar-brand" href="#">
        <img src="images/Ionic_logo.png" width="100%" height="30" class="d-inline-block align-top" alt="">
      </a>
      <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNavDropdown"
        aria-controls="navbarNavDropdown" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
      </button>
      <div class="collapse navbar-collapse" id="navbarNavDropdown">
        <ul class="navbar-nav">
          <li class="nav-item active">
            <a class="nav-link" href="#">Home <span class="sr-only">(current)</span></a>
          </li>
          <li class="nav-item dropdown">
            <a class="nav-link dropdown-toggle" href="#" id="navbarDropdownMenuLink" data-toggle="dropdown"
              aria-haspopup="true" aria-expanded="false">
              Browse courses
            </a>
            <div class="dropdown-menu" aria-labelledby="navbarDropdownMenuLink">
              <a class="dropdown-item" href="#">Web Development</a>
              <a class="dropdown-item" href="#">Mobile App</a>
              <a class="dropdown-item" href="#">Desktop App</a>
            </div>
          </li>
          <li class="nav-item dropdown">
            <a class="nav-link dropdown-toggle" href="#" id="navbarDropdownMenuLink" data-toggle="dropdown"
              aria-haspopup="true" aria-expanded="false">
              About Us
            </a>
            <div class="dropdown-menu" aria-labelledby="navbarDropdownMenuLink">
              <a class="dropdown-item" href="#">Vision & Mission</a>
              <a class="dropdown-item" href="#">Team</a>
              <a class="dropdown-item" href="#">Contact Us</a>
            </div>
          </li>
        </ul>
      </div>
    </nav>
    <!-- 2. Slide body -->
    <div class="row bg-info">
      <div style="padding: 10%;" class="col-6 d-flex flex-column justify-content-center align-content-center">
        <div class="row mb-3">
          <h1 class="text-white">Welcome to Ionic Course365 Learning Center</h1>
        </div>
        <div class="row mb-3">
          <span class="text-secondary">Ionic Course365 is an online learning and teaching marketplace with over 5000
            courses and 1 million
            students. Instructor and expertly crafted courses, designed for the modern students and entrepreneur.</span>
        </div>
        <div class="row form-group  mb-3">
          <button class="btn btn-warning  mr-3">Browse Courses</button>
          <button class="btn btn-light">Become an Instructor</button>
        </div>
      </div>
      <div class="col-6">
        <img src="images/ionic-207965.png" alt="" height="100%">
      </div>
    </div>
    <div class="d-flex flex-column justify-content-center" style="padding: 2% 5% 0% 5%;">
      <!-- 3. Courses content -->
      <div class="row p-1 justify-content-center">
        <!-- Recomment Area -->
        <div class="row col-12 mb-5">
          <h3>Recommended to you</h3>
          <div class="row p-0 col-12">
            <div class="col-md-3 col-sm-12">
              <div class="card item-wr" style="width: 18rem;">
                <img class="card-img-top" src="images/courses/course-angular.jpg" alt="Card image cap">
                <div class="card-body">
                  <h6 class="card-title text-primary">How to easily create a website with Angular</h6>
                  <p class="card-text text-secondary">
                    <i class="far fa-clock"></i>
                    <span>3h 56m</span>
                    <span class="text-dark">Beginner</span>
                  </p>
                  <p class="card-text">
                    <span class="font-weight-bold">$600</span>
                    <span><s class="font-weight-light">$750</s></span>
                  </p>
                </div>
                <div class="row card-body border-top">
                  <div class="col-3">
                    <img src="images/teacher/morris_mccoy.jpg" alt="" width="100%" class="rounded-circle">
                  </div>
                  <div class="col-6 p-0">
                    <span class="text-dark text-left">Morris Mccoy</span>
                  </div>
                  <div class="col-3 text-center align-content-center">
                    <i class="far fa-bookmark"></i>
                  </div>
                </div>
              </div>
            </div>
            <div class="col-md-3 col-sm-12">
              <div class="card item-wr" style="width: 18rem;">
                <img class="card-img-top" src="images/courses/course-python.jpg" alt="Card image cap">
                <div class="card-body">
                  <h6 class="card-title text-primary">The Python Course: build web application</h6>
                  <p class="card-text text-secondary">
                    <i class="far fa-clock"></i>
                    <span>4h 30m</span>
                    <span class="text-dark">Advanced</span>
                  </p>
                  <p class="card-text">
                    <span class="font-weight-bold">$900</span>
                    <span><s class="font-weight-light">$1050</s></span>
                  </p>
                </div>
                <div class="row card-body border-top">
                  <div class="col-3">
                    <img src="images/teacher/claire_robertson.jpg" alt="" width="100%" class="rounded-circle">
                  </div>
                  <div class="col-6 p-0">
                    <span class="text-dark text-left">Claire Robertson</span>
                  </div>
                  <div class="col-3 text-center align-content-center">
                    <i class="far fa-bookmark"></i>
                  </div>
                </div>
              </div>
            </div>
            <div class="col-md-3 col-sm-12">
              <div class="card item-wr" style="width: 18rem;">
                <img class="card-img-top" src="images/courses/course-graphql.jpg" alt="Card image cap">
                <div class="card-body">
                  <h6 class="card-title text-primary">GraphQL: introduction to graphQL for beginners</h6>
                  <p class="card-text text-secondary">
                    <i class="far fa-clock"></i>
                    <span>2h 15m</span>
                    <span class="text-dark">Intermediate</span>
                  </p>
                  <p class="card-text">
                    <span class="font-weight-bold">$650</span>
                    <span><s class="font-weight-light">$850</s></span>
                  </p>
                </div>
                <div class="row card-body border-top">
                  <div class="col-3">
                    <img src="images/teacher/ted_hawkins.jpg" alt="" width="100%" class="rounded-circle">
                  </div>
                  <div class="col-6 p-0">
                    <span class="text-dark text-left">Ted Hawkins</span>
                  </div>
                  <div class="col-3 text-center align-content-center">
                    <i class="far fa-bookmark"></i>
                  </div>
                </div>
              </div>
            </div>
            <div class="col-md-3 col-sm-12">
              <div class="card item-wr" style="width: 18rem;">
                <img class="card-img-top" src="images/courses/course-javascript.jpg" alt="Card image cap">
                <div class="card-body">
                  <h6 class="card-title text-primary">Getting Started with JavaScript</h6>
                  <p class="card-text text-secondary">
                    <i class="far fa-clock"></i>
                    <span>3h 34m</span>
                    <span class="text-dark">Beginner</span>
                  </p>
                  <p class="card-text">
                    <span class="font-weight-bold">$300</span>
                    <span><s class="font-weight-light">$550</s></span>
                  </p>
                </div>
                <div class="row card-body border-top">
                  <div class="col-3">
                    <img src="images/teacher/ted_hawkins.jpg" alt="" width="100%" class="rounded-circle">
                  </div>
                  <div class="col-6 p-0">
                    <span class="text-dark text-left">Ted Hawkins</span>
                  </div>
                  <div class="col-3 text-center align-content-center">
                    <i class="far fa-bookmark"></i>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
        <!-- Most Popular Area -->
        <div class="row col-12 mb-5">
          <h3>Most Popular</h3>
          <div class="row p-0 col-12" id="popular-show">

          </div>
        </div>
        <!-- Trending Area -->
        <div class="row col-12 mb-5">
          <h3>Trending</h3>
          <div class="row p-0 col-12" id="trending-show">

          </div>
        </div>
      </div>
      <!-- 4. Footer -->
      <footer class="row text-center text-lg-start text-muted pl-1 pr-1"
        style="background-color: rgba(0, 0, 0, 0.025);">
        <div class="text-center p-4 col-md-8">
          © 2021 Ionic Course365. All Rights Reserved.
        </div>
        <div class="row text-primary text-center p-4 col-4">
          <a href="#" class="col-3 p-2">Privacy</a>
          <a href="#" class="col-3 p-2">Terms</a>
          <a href="#" class="col-3 p-2">Feedback</a>
          <a href="#" class="col-3 p-2">Support</a>
        </div>
      </footer>
    </div>
  </div>
</body>
<!-- <script src="script.js"></script> -->
<script>
  /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
  const gREQUEST_STATUS_OK = 200;
  const gREQUEST_CREATE_OK = 201; // status 201 là tạo mới thành công
  const gREQUEST_READY_STATUS_FINISH_AND_OK = 4;

  var gBASE_URL = "https://630890e4722029d9ddd245bc.mockapi.io/api/v1";

  var gCoursesDB = [];
  /*** REGION 2 - Vùng gán / thực thi hàm xử lý sự kiện cho các elements */
  $(document).ready(function () {
    //gui APi lay danh sach khoa hoc
    sendApiGetListCourse();
    console.log(gCoursesDB);
    //filter popular course
    var vCoursePopular = filterPopularCourse();
    //them du lieu popular ra frontend
    var vHTMLPopular = themDuLieuObjToFront(vCoursePopular);
    $("#popular-show").html(vHTMLPopular);
    //filter trending course
    var vCourseTrending = filterTrendingCourse();
    var vHTMLTrending = themDuLieuObjToFront(vCourseTrending);
    $("#trending-show").html(vHTMLTrending);
  })
  /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */

  /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
  //gui Api lay danh sach khoa hoc
  function sendApiGetListCourse() {
    $.ajax({
      url: gBASE_URL + "/courses",
      type: 'GET',
      dataType: 'json',								// kiểu dữ liệu (thường dùng khi muốn nhận dữ liệu từ server)
      async: false,									//không có thì mặc định là true 
      success: function (res) {
        gCoursesDB = res;						// dữ liệu đã được xử lý sang array
      },
      error: function (ajaxContext) {
        alert(ajaxContext.responseText)
      }
    });
  }
  //filter course obj popular
  function filterPopularCourse() {
    var vCourse = gCoursesDB;
    var vCoursePopular = [];
    for (let i = 0; i < vCourse.length; i++) {
      if (vCourse[i].isPopular) {
        vCoursePopular.push(vCourse[i]);
      }
    }
    return vCoursePopular;
  }
  //filter trending course
  function filterTrendingCourse() {
    var vCourse = gCoursesDB;
    var vCourseTrending = [];
    for (let i = 0; i < vCourse.length; i++) {
      if (vCourse[i].isTrending) {
        vCourseTrending.push(vCourse[i]);
      }
    }
    return vCourseTrending;
  }
  //xu ky du lieu obj ra man hinh
  function themDuLieuObjToFront(parmObj) {

    var vHTMlObj = "";
    var vLength = 0;
    if (parmObj.length <= 4) {
      vLength = parmObj.length;
    } else {
      vLength = 4;
    }

    for (let i = 0; i < vLength; i++) {
      vHTMlObj += `
            <div class="col-md-3 col-sm-12">
              <div class="card item-wr" style="width: 18rem;">
                <img class="card-img-top" src="${parmObj[i].coverImage}" alt="Card image cap">
                <div class="card-body">
                  <h6 class="card-title text-primary">${parmObj[i].courseName}</h6>
                  <p class="card-text text-secondary">
                    <i class="far fa-clock"></i>
                    <span>${parmObj[i].duration}</span>
                    <span class="text-dark">${parmObj[i].level}</span>
                  </p>
                  <p class="card-text">
                    <span class="font-weight-bold">${parmObj[i].price}</span>
                    <span><s class="font-weight-light">${parmObj[i].discountPrice}</s></span>
                  </p>
                </div>
                <div class="row card-body border-top">
                  <div class="col-3">
                    <img src="${parmObj[i].teacherPhoto}" alt="" width="100%" class="rounded-circle">
                  </div>
                  <div class="col-6 p-0">
                    <span class="text-dark text-left">${parmObj[i].teacherName}</span>
                  </div>
                  <div class="col-3 text-center align-content-center">
                    <i class="far fa-bookmark"></i>
                  </div>
                </div>
              </div>
            </div>
      `;
    }
    return vHTMlObj;
  }
</script>

</html>